Subject: Re: General Media Descriptor - SDP

From: Fernando Cuervo <[email-masked]>
Date: Fri, 17 Sep 1999 09:30:52 -0500

Having the type of network in the LocalControl definition is a useful
addition, as Christian points  out, for multiservice nodes. This would allow
for easy specification of the bearer type and any additional encapsulations
of the media, leaving the Local and Remote descriptors with the single task
of defining the media.
Fernando Cuervo
> ----------
>
> From:         Christian Huitema[SMTP:[email-masked]]
> Sent:         September 17, 1999 9:01 AM
> To:   [email-masked]
> Subject:      Re: General Media Descriptor - SDP
>
> At 02:04 PM 9/17/99 +0200, Ruppelt Christian wrote:
> >stressing my point again in V10.
> >
> >Local and Remote Descriptors (7.1.9.) are encoded as SDP strings OR
> >tag-value pairs (see Annex D).
> >If one decide to choose SDP my assumption was, forget about the
> >General Media Attributes in Annex D!
> >(ANNEX D supports that thinking beginning with: "As an alternative to
> >SDP...")
> >
> >But, a mapping is NOT possible (e.g. gain, echo canceller,...)!
> >And in the current protocol ANNEX D is therefore obviously mandatory?
> >see Example in Annex G
> >Here the tag-value pairs are used to describe the properties of a
> >termination
> >within LocalControl.
> >So, if you want to use SDP for Local/Remote you better not forget parts
> of
> >Annex D for Local Control.
> >
> >                                    LocalControl {
> >                         Mode = SendReceive,
> >                         Package1/GainControl=2,  ; in dB,
> >                         Package1/Encryption=xxx,
> >                         Package1/EchoCancellation=G165,
> >                         Package1/VoiceActDet=yes
> >                     },
>
> Christian,
>
> I think that you are misunderstanding the scope of SDP or annex D
> Descriptors. In fact, "LocalControl" maps very closely to the
> LocalConnectionOptions parameter of MGCP's connection handling commands.
> The main difference is the use of package-defined parameters, instead of
> global space parameters in MGCP.  A reasonable assumption is that we the
> current MGCP parameters will be defined in the combination of at least two
> packages, one generic (Usage of echo cancellation, Usage of silence
> suppression or voice activity detection, Usage of signal level adaptation
> and noise level reduction, or "gain control") and one specific to RTP
> (Encoding Method, Packetization period, Bandwidth, Type of Service, Usage
> of reservation service, Usage of RTP security).
>
> There is however one subparameter of MGCP's LocalConnectionOptions that
> does not fit squarely into the "package" approach.  The "Type of network"
> is used to specify whether the new connection should be built over IP,
> Frame relay, ATM, etc. This is quite useful in multi-protocol gateways,
> specially if we decide that termination names have no structure and no
> implied meaning. If a gateway receives a command such as: Transaction=x{
> ctx=$ { add=${...}}}, how can it decide whether to create an RTP
> connection, rather than using AAL2?
>
> I suggest that a "type of network" attribute be added as a generic
> subparameter in the LocalControl definition.
>
>
>
>
> -- Christian Huitema
>

---

From: Nancy-M Greene <[email-masked]>
Date: Sun, 19 Sep 1999 18:58:11 -0500

Christian, This explains the almost empty Local and Remote fields you will
find in the first Add in the examples! I needed a way to put the network
type, so tried to build a Local and Remote to hold it, but had to put ANY in
the sdp as a placeholder for the IP address that the MG would be filling in
in the reply to the Add. I would agree with Christian that a better way to
do this is add a LocalControl field that holds the networkType.

(By the way, the examples are not perfect. I am working on an update of them
- if anyone else wants to help go through them, or produce a few more to add
to the examples, please email me!)

Nancy
--------------------------------------------------------------------------
Nancy M. Greene
Internet & Service Provider Networks, Nortel Networks
T:514-271-7221 (internal:ESN853-1077) E:[email-masked]

> Sent:         Friday, September 17, 1999 3:31 PM
> At 12:42 PM 9/17/99 -0400, Brian Rosen wrote:
> >If you are using SDP, wouldn't this information come
> >from the c= line?  c=IN IP4 ANY or c=ATM...
>
> Well, LocalControl does not use SDP, right?
>
> >Wouldn't there be an equivalent needed in the tagValue form?  If there
> was,
> >it would be in Local (or Remote), not LocalControl?
>
> If you specify the type of network in LocalControl, then you don't need to
> specify any Local or Remote parameter when you are creating a connection.
> -- Christian Huitema
>

---

From: Fernando Cuervo <[email-masked]>
Date: Mon, 20 Sep 1999 10:29:07 -0400

If you take, for instance, a ADSL line where you can configure alternative
always-on connection types for MPEG or IP transport( e.g., based on ATM or
PPPoE). The Local control would allow you to preset the terminations. Then
you can proceed over this predefined transport to use SDP in the usual
manner.

Fernando

> ----------
> From:         Brian Rosen[SMTP:[email-masked]]
> Sent:         September 17, 1999 12:42 PM
> Brian
> > -----Original Message-----
> > From: Fernando Cuervo [mailto:[email-masked]]
> > Sent: Friday, September 17, 1999 10:31 AM
> > To: [email-masked]